package com.oracle.xmlns.pcbpel.adapter.db.handler;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

import javax.security.auth.callback.Callback;
import javax.security.auth.callback.CallbackHandler;
import javax.security.auth.callback.UnsupportedCallbackException;

import org.apache.wss4j.common.ext.WSPasswordCallback;

import com.oracle.xmlns.pcbpel.adapter.db.util.Constantes;


public class PasswordHandler implements CallbackHandler {

  private static String password = null;

  public PasswordHandler() {
	  
	  
	  Properties propiedades = new Properties();
	  try {
		  propiedades.load(new FileInputStream(Constantes.PROPERTY_FILE));
		  password = propiedades.getProperty("passCert");
	  } catch (Exception ex) {
		  password = null;
	  }
  }


  public final void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException {
    WSPasswordCallback pc = (WSPasswordCallback) callbacks[0];    
    pc.setPassword(password);
  }

}
